#ifndef _MATH_H_
#define _MATH_H_

#include "../App/StructureH.h"
#include "Math2D.h"
#include "Math3D.h"
#include <Math.h>

const float MATH_PI = 3.141592;
const float MATH_PIf = 3.141592;
const float MATH_PId = 3.141592654;
inline float DegToRad(const float stupne) {return (float)stupne/(180.0f/MATH_PI);}
inline float RadToDeg(const float rad) {return (float)rad*((float)180.0f/MATH_PI);}

inline float MATH_abs(const float f) { if(f<0) return -f; else return f; }
//inline float 

#endif //_MATH_H_